Bug 303484 - When I'm running Amarok crashes it and will not run
Summary: When I'm running Amarok crashes it and will not run
Status: RESOLVED DUPLICATE of bug 258741
Alias: None
Product: amarok
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Chakra Linux
: NOR crash (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-13 15:21 UTC by Behrooz
Modified: 2012-07-16 23:10 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Behrooz 2012-07-13 15:21:33 UTC
Application: amarok (2.5.0)
KDE Platform Version: 4.8.3 (4.8.3)
Qt Version: 4.8.2
Operating System: Linux 3.4.3-1-CHAKRA x86_64
Distribution: "Chakra Linux"

-- Information about the crash:
<In detail, tell us what you were doing  when the application crashed.>

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f1ebdad97c0 (LWP 6708))]

Thread 16 (Thread 0x7f1e984d7700 (LWP 6717)):
#0  0x00007fff4bdff8bf in clock_gettime ()
#1  0x00007f1eb29bcf6d in clock_gettime () from /lib/librt.so.1
#2  0x00007f1ebace1dc4 in ?? () from /usr/lib/libQtCore.so.4
#3  0x00007f1ebadb56fd in ?? () from /usr/lib/libQtCore.so.4
#4  0x00007f1ebadb5a43 in ?? () from /usr/lib/libQtCore.so.4
#5  0x00007f1ebadb45bc in ?? () from /usr/lib/libQtCore.so.4
#6  0x00007f1ebadb4665 in ?? () from /usr/lib/libQtCore.so.4
#7  0x00007f1eb3b5dfde in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#8  0x00007f1eb3b5e7db in ?? () from /usr/lib/libglib-2.0.so.0
#9  0x00007f1eb3b5e9e4 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#10 0x00007f1ebadb4ef6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#11 0x00007f1ebad85b1f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#12 0x00007f1ebad85da8 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#13 0x00007f1ebac89530 in QThread::exec() () from /usr/lib/libQtCore.so.4
#14 0x00007f1ebad666ef in ?? () from /usr/lib/libQtCore.so.4
#15 0x00007f1ebac8c47b in ?? () from /usr/lib/libQtCore.so.4
#16 0x00007f1ea7ce2b74 in ?? () from /usr/lib/libGL.so.1
#17 0x00007f1eb85f4ede in start_thread () from /lib/libpthread.so.0
#18 0x00007f1eba43e60d in clone () from /lib/libc.so.6

Thread 15 (Thread 0x7f1e95420700 (LWP 6718)):
#0  0x00007fff4bdff8bf in clock_gettime ()
#1  0x00007f1eb29bcf6d in clock_gettime () from /lib/librt.so.1
#2  0x00007f1ebace1dc4 in ?? () from /usr/lib/libQtCore.so.4
#3  0x00007f1ebadb56fd in ?? () from /usr/lib/libQtCore.so.4
#4  0x00007f1ebadb5a43 in ?? () from /usr/lib/libQtCore.so.4
#5  0x00007f1ebadb45bc in ?? () from /usr/lib/libQtCore.so.4
#6  0x00007f1ebadb4665 in ?? () from /usr/lib/libQtCore.so.4
#7  0x00007f1eb3b5dfde in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#8  0x00007f1eb3b5e7db in ?? () from /usr/lib/libglib-2.0.so.0
#9  0x00007f1eb3b5e9e4 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#10 0x00007f1ebadb4ef6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#11 0x00007f1ebad85b1f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#12 0x00007f1ebad85da8 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#13 0x00007f1ebac89530 in QThread::exec() () from /usr/lib/libQtCore.so.4
#14 0x00007f1ebac8c47b in ?? () from /usr/lib/libQtCore.so.4
#15 0x00007f1ea7ce2b74 in ?? () from /usr/lib/libGL.so.1
#16 0x00007f1eb85f4ede in start_thread () from /lib/libpthread.so.0
#17 0x00007f1eba43e60d in clone () from /lib/libc.so.6

Thread 14 (Thread 0x7f1e8ffff700 (LWP 6719)):
#0  0x00007f1eba4360bf in poll () from /lib/libc.so.6
#1  0x00007f1eb3b5e8b6 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007f1eb3b5e9e4 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f1ebadb4ef6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007f1ebad85b1f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f1ebad85da8 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f1ebac89530 in QThread::exec() () from /usr/lib/libQtCore.so.4
#7  0x00007f1ebac8c47b in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007f1ea7ce2b74 in ?? () from /usr/lib/libGL.so.1
#9  0x00007f1eb85f4ede in start_thread () from /lib/libpthread.so.0
#10 0x00007f1eba43e60d in clone () from /lib/libc.so.6

Thread 13 (Thread 0x7f1e8effd700 (LWP 6721)):
#0  0x00007f1eb85f8aa4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f1ebac8c97b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f1eb7955a61 in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f1eb79582ab in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f1eb795711f in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f1eb79571ab in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#6  0x00007f1ebac8c47b in ?? () from /usr/lib/libQtCore.so.4
#7  0x00007f1ea7ce2b74 in ?? () from /usr/lib/libGL.so.1
#8  0x00007f1eb85f4ede in start_thread () from /lib/libpthread.so.0
#9  0x00007f1eba43e60d in clone () from /lib/libc.so.6

Thread 12 (Thread 0x7f1e8ddac700 (LWP 6722)):
#0  0x00007f1eb85f8aa4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f1ebac8c97b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f1eb7955a61 in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f1eb79582ab in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f1eb79582c4 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f1eb79582c4 in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007f1eb795711f in ?? () from /usr/lib/libthreadweaver.so.4
#7  0x00007f1eb79571ab in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#8  0x00007f1ebac8c47b in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f1ea7ce2b74 in ?? () from /usr/lib/libGL.so.1
#10 0x00007f1eb85f4ede in start_thread () from /lib/libpthread.so.0
#11 0x00007f1eba43e60d in clone () from /lib/libc.so.6

Thread 11 (Thread 0x7f1e8d18b700 (LWP 6723)):
#0  0x00007f1eb85f8aa4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f1ebac8c97b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f1eb7955a61 in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f1eb79582ab in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f1eb79582c4 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f1eb795711f in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007f1eb79571ab in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#7  0x00007f1ebac8c47b in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007f1ea7ce2b74 in ?? () from /usr/lib/libGL.so.1
#9  0x00007f1eb85f4ede in start_thread () from /lib/libpthread.so.0
#10 0x00007f1eba43e60d in clone () from /lib/libc.so.6

Thread 10 (Thread 0x7f1e73032700 (LWP 6726)):
#0  0x00007f1eb85f8aa4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f1eb3b99abf in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#2  0x00007f1ea8222af3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#3  0x00007f1eb3b80798 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0x00007f1eb3b7ff35 in ?? () from /usr/lib/libglib-2.0.so.0
#5  0x00007f1ea7ce2b74 in ?? () from /usr/lib/libGL.so.1
#6  0x00007f1eb85f4ede in start_thread () from /lib/libpthread.so.0
#7  0x00007f1eba43e60d in clone () from /lib/libc.so.6

Thread 9 (Thread 0x7f1e72408700 (LWP 6727)):
#0  0x00007f1eb85f8aa4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f1eb3b99abf in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#2  0x00007f1ea8222af3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#3  0x00007f1eb3b80798 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0x00007f1eb3b7ff35 in ?? () from /usr/lib/libglib-2.0.so.0
#5  0x00007f1ea7ce2b74 in ?? () from /usr/lib/libGL.so.1
#6  0x00007f1eb85f4ede in start_thread () from /lib/libpthread.so.0
#7  0x00007f1eba43e60d in clone () from /lib/libc.so.6

Thread 8 (Thread 0x7f1e71c07700 (LWP 6728)):
#0  0x00007f1eb85f8aa4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f1eb3b99abf in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#2  0x00007f1e9a81f5e5 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#3  0x00007f1ea8222934 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007f1eb3b80798 in ?? () from /usr/lib/libglib-2.0.so.0
#5  0x00007f1eb3b7ff35 in ?? () from /usr/lib/libglib-2.0.so.0
#6  0x00007f1ea7ce2b74 in ?? () from /usr/lib/libGL.so.1
#7  0x00007f1eb85f4ede in start_thread () from /lib/libpthread.so.0
#8  0x00007f1eba43e60d in clone () from /lib/libc.so.6

Thread 7 (Thread 0x7f1e71406700 (LWP 6729)):
#0  0x00007f1eb85f8aa4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f1eb3b99abf in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#2  0x00007f1e9a81ed55 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#3  0x00007f1ea81fcb11 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007f1ea81fcb11 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#5  0x00007f1e9a82a510 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#6  0x00007f1e9a82aa0f in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#7  0x00007f1ea81fcb11 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#8  0x00007f1e9a81fd26 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#9  0x00007f1ea8222934 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#10 0x00007f1eb3b80798 in ?? () from /usr/lib/libglib-2.0.so.0
#11 0x00007f1eb3b7ff35 in ?? () from /usr/lib/libglib-2.0.so.0
#12 0x00007f1ea7ce2b74 in ?? () from /usr/lib/libGL.so.1
#13 0x00007f1eb85f4ede in start_thread () from /lib/libpthread.so.0
#14 0x00007f1eba43e60d in clone () from /lib/libc.so.6

Thread 6 (Thread 0x7f1e70c05700 (LWP 6730)):
#0  0x00007f1eb85f8aa4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f1eb3b99abf in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#2  0x00007f1e9a81f5e5 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#3  0x00007f1ea8222934 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007f1eb3b80798 in ?? () from /usr/lib/libglib-2.0.so.0
#5  0x00007f1eb3b7ff35 in ?? () from /usr/lib/libglib-2.0.so.0
#6  0x00007f1ea7ce2b74 in ?? () from /usr/lib/libGL.so.1
#7  0x00007f1eb85f4ede in start_thread () from /lib/libpthread.so.0
#8  0x00007f1eba43e60d in clone () from /lib/libc.so.6

Thread 5 (Thread 0x7f1e67fff700 (LWP 6731)):
#0  0x00007f1eba43216d in write () from /lib/libc.so.6
#1  0x00007f1eb3b98c81 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007f1ebad8a23a in QCoreApplication::postEvent(QObject*, QEvent*, int) () from /usr/lib/libQtCore.so.4
#3  0x00007f1ebad9c4f5 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#4  0x00007f1e9c1d6812 in ?? () from /usr/lib/kde4/plugins/phonon_backend/phonon_gstreamer.so
#5  0x00007f1e9c1d6dc6 in ?? () from /usr/lib/kde4/plugins/phonon_backend/phonon_gstreamer.so
#6  0x00007f1ea7f62302 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#7  0x00007f1ea7f73351 in ?? () from /usr/lib/libgobject-2.0.so.0
#8  0x00007f1ea7f7b612 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#9  0x00007f1ea7f7b7b2 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#10 0x00007f1e9a8089ca in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#11 0x00007f1ea84a5869 in ?? () from /usr/lib/libgstbase-0.10.so.0
#12 0x00007f1ea84a726f in ?? () from /usr/lib/libgstbase-0.10.so.0
#13 0x00007f1ea84a7778 in ?? () from /usr/lib/libgstbase-0.10.so.0
#14 0x00007f1ea84a7ab3 in ?? () from /usr/lib/libgstbase-0.10.so.0
#15 0x00007f1ea81fcb11 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#16 0x00007f1ea84b553c in ?? () from /usr/lib/libgstbase-0.10.so.0
#17 0x00007f1ea81fcb11 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#18 0x00007f1ea84b553c in ?? () from /usr/lib/libgstbase-0.10.so.0
#19 0x00007f1ea81fcb11 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#20 0x00007f1e9a81fd26 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#21 0x00007f1ea8222934 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#22 0x00007f1eb3b80798 in ?? () from /usr/lib/libglib-2.0.so.0
#23 0x00007f1eb3b7ff35 in ?? () from /usr/lib/libglib-2.0.so.0
#24 0x00007f1ea7ce2b74 in ?? () from /usr/lib/libGL.so.1
#25 0x00007f1eb85f4ede in start_thread () from /lib/libpthread.so.0
#26 0x00007f1eba43e60d in clone () from /lib/libc.so.6

Thread 4 (Thread 0x7f1e677fe700 (LWP 6732)):
#0  0x00007f1eb85f8aa4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f1eb6989717 in ?? () from /usr/lib/libQtScript.so.4
#2  0x00007f1eb6989749 in ?? () from /usr/lib/libQtScript.so.4
#3  0x00007f1ea7ce2b74 in ?? () from /usr/lib/libGL.so.1
#4  0x00007f1eb85f4ede in start_thread () from /lib/libpthread.so.0
#5  0x00007f1eba43e60d in clone () from /lib/libc.so.6

Thread 3 (Thread 0x7f1e658fc700 (LWP 6733)):
#0  0x00007f1eba47ee1d in ?? () from /lib/libc.so.6
#1  0x00007f1e9ae85c29 in ?? () from /usr/lib/libgstaudio-0.10.so.0
#2  0x00007f1eb3b7ff35 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007f1ea7ce2b74 in ?? () from /usr/lib/libGL.so.1
#4  0x00007f1eb85f4ede in start_thread () from /lib/libpthread.so.0
#5  0x00007f1eba43e60d in clone () from /lib/libc.so.6

Thread 2 (Thread 0x7f1e4f640700 (LWP 6735)):
#0  0x00007f1eb85f8aa4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f1ebac8c97b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f1eb7955a61 in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f1eb79582ab in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f1eb795711f in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f1eb79571ab in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#6  0x00007f1ebac8c47b in ?? () from /usr/lib/libQtCore.so.4
#7  0x00007f1ea7ce2b74 in ?? () from /usr/lib/libGL.so.1
#8  0x00007f1eb85f4ede in start_thread () from /lib/libpthread.so.0
#9  0x00007f1eba43e60d in clone () from /lib/libc.so.6

Thread 1 (Thread 0x7f1ebdad97c0 (LWP 6708)):
[KCrash Handler]
#5  0x00007f1ebc740153 in Context::ContextView::addCollapseAnimation(QAbstractAnimation*) () from /usr/lib/libamaroklib.so.1
#6  0x00007f1ebc73cc9e in Context::Applet::collapse(bool) () from /usr/lib/libamaroklib.so.1
#7  0x00007f1e8dfcd8f3 in ?? () from /usr/lib/kde4/amarok_context_applet_albums.so
#8  0x00007f1e8dfcee09 in ?? () from /usr/lib/kde4/amarok_context_applet_albums.so
#9  0x00007f1ebad9c1cf in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#10 0x00007f1eb6de26b7 in Plasma::DataContainer::dataUpdated(QString const&, QHash<QString, QVariant> const&) () from /usr/lib/libplasma.so.3
#11 0x00007f1eb6de349a in Plasma::DataContainer::checkForUpdate() () from /usr/lib/libplasma.so.3
#12 0x00007f1eb6de5bbb in Plasma::DataEngine::timerEvent(QTimerEvent*) () from /usr/lib/libplasma.so.3
#13 0x00007f1ebad9b4dc in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#14 0x00007f1ebb76db4c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#15 0x00007f1ebb771fca in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#16 0x00007f1ebd4f7e06 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#17 0x00007f1ebad86dce in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#18 0x00007f1ebadb7672 in ?? () from /usr/lib/libQtCore.so.4
#19 0x00007f1ebadb4874 in ?? () from /usr/lib/libQtCore.so.4
#20 0x00007f1eb3b5e55a in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#21 0x00007f1eb3b5e920 in ?? () from /usr/lib/libglib-2.0.so.0
#22 0x00007f1eb3b5e9e4 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#23 0x00007f1ebadb4ed6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#24 0x00007f1ebb80d66e in ?? () from /usr/lib/libQtGui.so.4
#25 0x00007f1ebad85b1f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#26 0x00007f1ebad85da8 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#27 0x00007f1ebad8aa48 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#28 0x0000000000408de1 in ?? ()
#29 0x00007f1eba37b455 in __libc_start_main () from /lib/libc.so.6
#30 0x000000000040b7cd in _start ()


Reproducible: Always
Comment 1 Myriam Schweingruber 2012-07-16 22:20:02 UTC
Please install debugging symbols before submitting bug reports, without those a backtrace is rather useless. FWIW, this is already fixed in the upcoming Amarok 2.6

*** This bug has been marked as a duplicate of bug 258741 ***
Comment 2 Behrooz 2012-07-16 22:59:56 UTC
hello ms.Schweingruber
sorry for That . i am beginner in report bug . how i can install  debugging
symbols ?
by

On Tue, Jul 17, 2012 at 2:50 AM, Myriam Schweingruber <myriam@kde.org>wrote:

> https://bugs.kde.org/show_bug.cgi?id=303484
>
> Myriam Schweingruber <myriam@kde.org> changed:
>
>            What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>              Status|UNCONFIRMED                 |RESOLVED
>          Resolution|---                         |DUPLICATE
>
> --- Comment #1 from Myriam Schweingruber <myriam@kde.org> ---
> Please install debugging symbols before submitting bug reports, without
> those a
> backtrace is rather useless. FWIW, this is already fixed in the upcoming
> Amarok
> 2.6
>
> *** This bug has been marked as a duplicate of bug 258741 ***
>
> --
> You are receiving this mail because:
> You reported the bug.
>
Comment 3 Myriam Schweingruber 2012-07-16 23:10:11 UTC
Please have a look here: http://techbase.kde.org/Development/Tutorials/Debugging/How_to_create_useful_crash_reports

But as you can see, this is a duplicate report, so I don't need a new backtrace from you. Just make sure you have debugging symbols installed before making any new crash report, and check for duplicates before submitting any of them.